ICP
Delete ICP
Delete an Ideal Customer Profile by ID
DELETE
/
company-icp
/
{id}
curl -X DELETE "https://api.clustr-ai.com/api/public/company-icp/550e8400-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"message": "ICP deleted successfully"
}
}
{
"success": false,
"error": { "message": "ICP not found", "code": "NOT_FOUND" }
}
Delete an ICP by its ID.
Path Parameters
string
required
ICP ID to delete
curl -X DELETE "https://api.clustr-ai.com/api/public/company-icp/550e8400-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"message": "ICP deleted successfully"
}
}
{
"success": false,
"error": { "message": "ICP not found", "code": "NOT_FOUND" }
}
⌘I
curl -X DELETE "https://api.clustr-ai.com/api/public/company-icp/550e8400-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"message": "ICP deleted successfully"
}
}
{
"success": false,
"error": { "message": "ICP not found", "code": "NOT_FOUND" }
}